[arch-commits] Commit in srcpac/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Sat Mar 6 18:14:36 EST 2010


    Date: Saturday, March 6, 2010 @ 18:14:36
  Author: andrea
Revision: 71413

upgpkg: srcpac 0.7-1
released srcpac 0.7

Modified:
  srcpac/trunk/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-06 23:06:38 UTC (rev 71412)
+++ PKGBUILD	2010-03-06 23:14:36 UTC (rev 71413)
@@ -3,19 +3,21 @@
 # Contributor: Jason Chu <jason at archlinux.org>
 
 pkgname=srcpac
-pkgver=0.6
-pkgrel=2
+pkgver=0.7
+pkgrel=1
 pkgdesc="The pacman from-source wrapper"
 arch=('any')
 url="http://projects.archlinux.org/srcpac.git/"
 license=('GPL')
 depends=('bash' 'pacman' 'abs' 'sudo')
-source=(ftp://ftp.archlinux.org/other/${pkgname}/${pkgname}-${pkgver}.tar.gz)
-md5sums=('a45caa62010ffb9afcf24a50efc85220')
+source=(http://ftp.archlinux.org/other/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('1b6f8d13fbef832ced40ebe60b51e06a')
 
 build() {
+  /bin/true
+}
+
+package() {
   cd ${srcdir}/${pkgname}-${pkgver}
-  install -d ${pkgdir}/etc/srcpac.d
-  install -Dm 755 srcpac ${pkgdir}/usr/bin/srcpac || return 1
-  install -Dm 644 srcpac.1 ${pkgdir}/usr/share/man/man1/srcpac.1 || return 1
+  make DESTDIR=${pkgdir} install || return 1
 }



More information about the arch-commits mailing list